REBOL [
	Title: "Bouncing box"
	File: %bounce.r
	Date: 16-Jan-2000
	Purpose: {Constant speed bouncing box.}
]

box-face: make face [
	offset: 100x100
	size: 40x40
	body: make body [color: 240.140.40]
	edge: make edge [color: 0.0.0 size: 3x3]
]

way: 1x1
view-size: 640x480

do-events: func[][
	event-port: open [ scheme: 'event ]
	forever [
		if event-port = wait [ event-port 0 ][
			event: first event-port
			if event/type = 'quit [ break ]
		]
		xy: box-face/offset + way
		n: view-size/x - box-face/size/x - 3
		if any [xy/x < 3 xy/x > n] [way: way * -1x1]
		n: view-size/y - box-face/size/y - 3
		if any [xy/y < 3 xy/y > n] [way: way * 1x-1]
		box-face/offset: xy
		show box-face
	]
]

view box-face

