REBOL [
	Title: "Digital Clock"
]

win-size: 262x80
last-time: none

stylize [
	clock-face text [
		size: win-size
		font: [size: 64 color: 255.155.40 align: 'center]
		feel: make feel [
			redraw: func [ face ][
				redraw: none
				show face
			]
			engage: func [f a e i][
				if last-time <> now/time [
					i: form last-time: now/time
					if 7 > length? i [append i ":00"]
					f/text: i
					show f
				]
			]
		]
		after: none
		rate: 1
	]
]

view/size layout win-size [at 0x0 clock-face "time"] win-size

