REBOL[
	Title: "Button Behavior"
	File:  %button.r
	Date:  12-Jan-2000
	Purpose: {Makes a single button.}
]

button: make face [
	offset: 40x40
	size: 100x24
	text: "Button"
	body: make body [color: 240.160.60]
	feel: make feel [
		redraw: func [face idx][
			face/edge/effect: pick [ibezel bezel] face/data
		]
		engage: func [face act evt idx][
			act: switch/default act [
				down [on]
				over [on]
				up [if face/data [do face/action] off]
			][off]
			if act <> face/data [
				face/data: act
				show face
			]
		]
	]
	data: off
	action: [print "Do the action."]
]

view/size button 180x200

