REBOL [
	Title: "Calculator"
	File:  %calculator.r
	Date:  14-Jan-2000
	Purpose: {Simple numeric calculator.}
]

auto-clear: false

key: make face [
    size: 25x25
    body: make body [color: 50.100.150]
    edge: make edge [effect: 'bezel]
]

text-box: make face [
    size:   120x30
    offset: 10x20
    text: ""
    body: make body [color: 255.255.255]
    edge: make edge [effect: 'ibezel]
]

keys: append copy [] text-box
offsets: [ 12x200 42x200 72x200 12x170 42x170 72x170
           12x140 42x140 72x140 12x110 42x110 72x110
           42x80  72x80 102x200 102x170 102x140 102x110
]

items: "0.-123456789()+-/*"
forall items [
    append keys make key [
        offset: pick offsets ix: index? items
        text: either ix < 13 [items/1][head insert next copy "  " items/1]
        feel: make feel [
            engage: func [face action position index][
				if auto-clear [clear text-box/text auto-clear: false]
                if action = 'up [
                    append text-box/text text
                    show text-box
                ]
            ]
        ]
    ]
]

append keys make key [
    offset: 12x80 text: "C" 
    feel: make feel [
        engage: func [face action position index][
            if action = 'up [clear text-box/text show text-box]
        ]
    ]
]        

append keys make key [
    offset: 102x80 text: "=" 
    feel: make feel [
        engage: func [face action position index][
            if action = 'up [
				if error? try [
	            	text-box/text: form do text-box/text 
				][text-box/text: "Error"]
				show text-box
				auto-clear: true
            ]
        ]
    ]
]        

view/size keys 140x235 
