REBOL [
	Title: "Text Sizes"
	File: %textsize.r
	Date: 14-Jan-2000
	Purpose: {Shows various text sizes.}
]

colors: [32.0.0 0.32.0 0.0.32]
xy-size: 640x480 / to-pair reduce [length? colors 8]

xy: 2x2
faces: []
foreach iclr colors [
	clr: iclr
	repeat n 8 [
		append faces make face [
			offset: xy
			size: xy-size - 4x4
			text: clr
			body: make body [color: clr]
			edge: make edge [size: 3x3 color: 80.90.100 effect: 'BEZEL]
			font: make font [size: 6 * n color: 255.255.255 shadow: 3x3]
		]
		xy: xy-size * 0x1 + xy
		clr: clr + iclr
	]
	xy: 0x2 + (xy * 1x0) + (xy-size * 1x0)
]

view faces

