REBOL [
	Title: "Text Styles"
	File: %textstyle.r
	Date: 14-Jan-2000
	Purpose: {Shows diffferent font styles.}
]

fonts: ["Arial" "Times" "Courier New" "Fixedsys" "Brush Script"]
styles: [[] [bold] [italic] [bold italic]]
xysize: (640x480 / to-pair reduce [length? styles length? fonts]) - 8x8
faces: []
origin: 4x4

foreach the-style styles [
	foreach the-font fonts [
		append faces make face [
			offset: origin
			size: xysize
			text: the-font
			body: make body [color: color / 2]
			edge: make edge [size: 4x4 color: 30.50.150]
			font: make font [
				name: the-font
				style: the-style
				size: 16
				color: 255.255.255
			]
		]
		origin: origin + (xysize * 0x1) + 0x8
	]
	origin: (origin * 1x0) + (xysize * 1x0) + 8x4
]

view faces

