REBOL[
	Title: "Toggle Button"
	File:  %toggle.r
	Date:  12-Jan-2000
	Purpose: {Makes a toggle button.}
]

button: make face [
	offset: 40x40
	size: 100x24
	body: make body [color: 60.160.240]
	feel: make feel [
		redraw: func [face idx][
			face/text: pick face/states face/data
			face/edge/effect: pick [ibezel bezel] face/data
		]
		engage: func [face act evt idx][
			if act = 'down [face/action face/data: not face/data]
			show face
		]
	]
	data: off
	states: ["True" "False"]
	action: func [state] [print state]
]

view/size button 180x200

