REBOL []

database: [

[
item:
"Compost Crock"

lead:
"A Clean And Elegant Way To Manage Your Compost"

image:
%compost_51252.jpg

info: 
{Here's a compost crock handsome enough to
keep on the countertop.  It's big enough to 
accommodate at least a week's worth of kitchen
scraps, while taking up very little space. 
There's an activated carbon filter in the 
pierced lid that absorbs and traps odors, but 
permits air circulation. The filter pulls out 
for easy replacement. After emptying the crock 
into your composter, simply rinse out, or run
it through the dishwasher--the surface doesn't 
stain or absorb odors.
}

detail: 
{Color(s): White
Construction: Ceramic
Filter Life: Approx. 6mos.
Dimensions: 14"h x 8"w
Ships from: CA, Express Shipping Available
Made in: USA
}

price:
$39.95

item-num:
51252
]
;-----------------------------------
[
item:
"Garden Gourmet Composter"

lead:
"An Efficient Stackable Composter"

image:
%compost_54300.jpg

info:
{Today's enlightened gardener recognizes
composting as a simple, efficient way to
reduce waste and create a nutrient-rich
amendment for plants. This unobtrusive bin 
traps solar heat to accelerate the production 
of compost. Designed to make composting
convenient, it has adjustable air vents, an
easy-access hinged lid for adding materials,
and a sliding bottom door for compost removal. 
It snaps together in minutes--no tools are 
required. Includes a guide to successful 
backyard composting.
}

detail: 
{Color(s): Black
Construction: 100% Recycled Plastic
Dimensions: 40"h x 23"w
Capacity: 10.2cf
Mfr's Warranty: 5 Yrs.
Ships from: CA, Express Shipping Available
}

price: 
$69.00

item-num: 
54300
]
;---------------------------------------------------
[
item:
"Healthmate Air Cleaner"

lead:
"A Roomful Of Clean Air Every 3 Minutes"

image:
%air_53668.jpg

info: 
{Pure air is one of your body's simplest and 
most vital needs. The Healthmate makes sure 
the air you breathe is the cleanest possible.
This environmentally-sensitive air purifying 
system uses a unique HEPA filter. This innovative
filter has a 360 degree intake with a filtering
efficiency of all airborne particles, including
pollen, dust mites, dander, and smoke. Cleaning
the air throughout a room every three minutes, 
the powerful motor is whisper quiet and twice as
energy-efficient as other models.
}

detail:
{Color(s): Black, White, Sand
Dimensions: 23.5"h x 14.5"w x 14.5"d
Filter life: 5 years
Power Draw: 100 watts on maximum speed
Weight: 45 lbs.
Shipping: Direct from Mfr., UPS Ground Only
}

Certification:
{HEPA Filter filters down to 0.3 microns.
Filtering efficiency at 99.97% indoors in a 50 to
1,500 square foot area. UL Listed.
}

price:
$399.00

item-num:
53668
]
;-------------------------------------------
[
item:
"Natural Cotton Shower Curtain"

lead:
"Natural Shower Curtain And Easy Hooks"

image:
%bath_08463.jpg

info: 
{This machine washable, cotton Shower Curtain 
is a natural alternative to vinyl. The fabric 
gets wet, but water won't leak through,leaving
your bathroom floor dry. The open hook design 
of our Shower Curtain Hooks makes removing and
replacing your curtain quick and easy, so you
can wash it as often as you like. Aluminum hooks
have heavy-duty wheels for smooth gliding across
your shower bar.
}

detail:
{Color(s): Natural, White
Construction: 100% Cotton Duck
Dimensions: 72" x 82" 
Shrinks to: 68" x 72"
Ships from: CA, Express Shipping Available
Made in: USA
}

price:
$39.95

item-num:
08463
]
;-----------------------------------------
[
item:
"Hemp Shower Curtain"

lead:
"Hemp Shower Curtains Are Naturally Resistant To Mildew"

image:
%bath_84119.jpg

info: 
{What an elegant, environmentally friendly
alternative to the ho-hum plastic shower curtain.
Constructed of undyed, unbleached, organically 
grown Romanian hemp. This beautifulshower curtain
with brass grommets is naturally mold and mildew
resistant--no need for an additional plastic liner.
Hemp fibers absorb moisture, up to 20% of their 
weight, dry very quickly, and are stronger wet than
dry. Unlike cotton, which will eventually rot in 
moist environments; hemp wears in, not out. Simply
machine wash.
}

detail:
{Color(s): Natural Tan
Construction: 100% Hemp
Dimensions: 72" x 82" 
Shrinks to: 70" x 70"
Ships from: CA, Express Shipping Available
Made in: USA
}

price:
$99.95

item-num:
84119
]
;-----------------------------------------
[
item:
"New England Clothes Dryer"

lead:
"This Is How They Dry Them In New Hampshire"

image:
%laundry_55273.jpg

info: 
{This is the most versatile clothes dryer we've
seen yet. Don Reese and his family are still 
making them by hand, from 100% sustainably 
harvested New England pine and birch. Don's
sturdy dryer can be positioned to create either
a peaked top or a flat top ideal for sweaters.
A generous 50 feet of drying space and you can
fold it up to carry back in the house (or to 
the next sunny spot) still loaded with laundry.
Holds an average washer-load.
} 

detail:
{Color(s): Natural
Construction: Pine & Birch 
Dimensions: Folded - 4.5"d x 58"h
          Peak-Top - 53"h x 30"w x 33"d
          Flat-Top - 46"h x 30"w x 40"d
Shipping: Direct from Mfr., UPS Ground Only
}

price:
$49.00

item-num:
55273
]
;-----------------------------------------
[
item:
"Terra Cotta Water Filter Cooler"

lead:
"Clean, Cool Water In A Beautiful Terra Cotta Package"

image:
%waterfilter_42692.jpg

info: 
{A Real Goods best seller since it first appeared,
our customers swear this is the best thing since
sliced bread. They say it removes bad taste and
odor, and really keeps the water cool 
but we knew that anyway. It's the natural
evaporation process of the terra cotta that
actually keeps the water constantly cooled 
without the need for refrigeration or electricity.
It also comes with an activated carbon and ceramic 
filtration system built into the the 
cooler  that's where the good taste comes from. 
} 

detail:
{Construction: Terra Cotta
Dimensions: 17"h x 10"dia.
Filter life: Approx. 1 year or 2,500 gallons
Capacity: 1 gallon
Shipping: Direct from Mfr., UPS Ground Only
Made in: Brazil
}

price:
$109.00

item-num:
42692
]
;----------------------------------------------
[
item:
"PUR Ultimate Faucet Filter"

lead:
"PUR Ultimate Faucet Mount: Economical, Effective, & Easy"

image:
%waterfilter_42298.jpg

info: 
{This advanced faucet-mount filter system provides the
ultimate in protection from waterborne contaminants,
including heavy metals, VOCs, cryptosporidium, and
giardia. Compare PUR's .20  per gallon to bottled water
at .85 per gallon. Simple swivel bypass is easy enough
for young children to handle; you swivel the whole unit
up for filtered, horizontal for tap), and it has an 
easy-to-read monitor so you know when the filter needs 
changing also includes a swivel sprayer.
}

detail:
{Dimensions: 6.19"l x 3"w x 8.19"d
Filter life: 3 mos. or 100 gallons
Mfr. Warranty: 1 year
Ships from: CA, Express Shipping Available
Made in: USA
}

Certification:
{Meets NSF standard #53 for lead and cysts and #42
for chlorine, and it's CA-certified for 5 VOCs, 
including atrazine, benzene, and trihalomethanes,
cysts, asbestos, lead, and mercury.
} 

price:
$44.95

item-num:
42298
]
;------------------------------------------------
[
item:
"US Pure Reverse Osmosis System"

lead:
{Reverse Osmosis Softens Water Without Salt}

image:
%waterfilter_42223.jpg

info: 
{This advanced four-stage filtration system ends
guesswork with a push-button water quality monitor
that tells you exactly when the membrane needs
changing. This is a top-quality system, utilizing 
the best in filtration technology. Includes carbon pre- and
post-filters, a sediment pre-filter, and membrane
filter. The storage tank and filters install under
the sink, with a stainless steel lead-free faucet
on the sink top for convenient access.}

detail:
{Intallation time: Approx. 1hr.
Dimensions: 6.19"l x 3"w x 8.19"d
Capacity: 2 gallons
Flow Rate: Approx. 5 gallons per day
Filter Life: Carbon & Sediment 6-12mos., Membrane 36mos.
Mfr. Warranty: 2 year limited
}

Certification:
{Tested and Certified to ANSI/NSF 58 for specific
contaminant claims. At the time of this publication,
the Reverse Osmosis System is not available to 
California residents. They are in the process of 
obtaining California Certification.
}

price:
$399.00

item-num:
42223
]

]

