REBOL [
	Title:   "Package Distribution"
	Date:    cvs-date "$Date: 2000/01/29 06:55:11 $"
	Version: cvs-version "$Revision: 1.1 $"
	Author:  "REBOL Technologies"
	File:    %dist.r
	Purpose: {
		Copies all distribution files for REBOL/View into the 
		installation directory
	}
]

change-dir %pack

install-dir: %"/C/Program Files/REBOL/View/"

put-file: func [file][
	either (last file) = #"/" [
		if not exists? join install-dir file [make-dir join install-dir file]
		foreach item load file [
			put-file join file item
		]
	][
	write/binary join install-dir file read/binary file 
	]
]

foreach file load %. [put-file file]