REBOL [
    Title:   "Funny text"
    Purpose: "Dynamic text demonstration"
    Date: 25-Jan-2000
]

window-size: 350x200 

speech: trim/lines {
	Far better it is to dare mighty things, to win glorious
	triumphs, even though checkered by failure, than to rank
	with those poor spirits who neither suffer much nor enjoy
	much because they live in the gray twilight that knows
	neither victory nor defeat.
}

random/seed now/time

stylize [
    new-text text [
        size: (window-size - 30x40)
		text-changes: [ 
			[reverse text]
			[uppercase text]
			[lowercase text]
			[forskip text 2 [uppercase/part text 1] text: head text]
			[forskip text 2 [uppercase/part text 1] reverse text: head text]
		]
        after: [do pick text-changes random 5]
    ]
]

view/size layout window-size me: [
    backdrop (random 255.255.255)
    new-text (speech)
    at 10x160 across
    button "Another" [view layout window-size me]
    button "Quit" [quit]
] window-size

