REBOL [
	Title: "Three Pages"
	Purpose: "How to switch between a few pages."
	Date: 26-Jan-2000
]

page-list: layout 640x480 [  ; Common to all pages
	at 50x400
	across
	button "Page 1" [view page1]
	button "Page 2" [view page2]
	button "Page 3" [view page3]
]

page1: layout 640x480 [
	backtile %rice.jpg 200.120.50
	title "Page One"
	indent 30
	text {
		This is page one.  Click on any of the buttons
		below to switch to other pages.
	}
	frame %bay.jpg edge 255.255.255
	with page-list
]

page2: layout 640x480 [
	backtile %rice.jpg 50.200.120
	title "Page Two"
	indent 30
	text {
		This is page two.  Click on any of the buttons
		below to switch to other pages.
	}
	frame %bay.jpg edge 255.255.255
	with page-list
]

page3: layout 640x480 [
	backtile %rice.jpg 120.50.200
	title "Page Three"
	indent 30
	text {
		This is page three.  Click on any of the buttons
		below to switch to other pages.
	}
	frame %bay.jpg edge 255.255.255
	with page-list
]

view page1