REBOL[
	Title: "Color Bar Boxes"
	File:  %bars.r
	Date:  14-Jan-2000
	Purpose: {Creates 42 colored boxes.}
]

xy-size: 640x480 / 7x8 - 1x1

box-face: make face [
	size: xy-size - 4x4
	edge: make edge [size: 2x2 color: 180.180.180 effect: 'BEZEL]
	font: make font [name: "arial" style: 'bold size: 12]
]

face-list: []
colors: [32.32.32 32.32.0 0.32.32 0.32.0 32.0.32 32.0.0 0.0.32]
xy: origin: 7x6
foreach iclr colors [
	clr: iclr
	repeat n 8 [
		append face-list make box-face [
			offset: xy
			text: clr
			body: make body [color: clr]
			font: make font [color: (complement clr) - 20.20.20]
		]
		xy: xy-size * 0x1 + xy
		clr: clr + iclr
	]
	xy: (origin * 0x1) + (xy * 1x0) + (xy-size * 1x0)
]

view face-list
